#define R 12 // czerwone - pojazdy
#define Y 11 // żółte - pojazdy
#define G 10 // zielone - pojazdy
#define RR 9 // czerwone - piesi
#define GG 8 // zielone - piesi
//#define B 7 // niebieska - kontrolka żądania zmiany śwaiteł
//#define T 6 // sygnał z czujnika - transoptor
//unsigned long t_ruch; // czas rozpoczęcia cyklu sterowania ruchem
//                      // lub czas rozpoczęcia cyklu bezczynności
//unsigned long t_ruch_pojazdy; // czas rozpoczęcia ruchu pojazdów
//unsigned long t_dzialania = 60000; // czas, w którym działa sterowanie ruchem
//                                   // czas ustawiony na 60 sekund
//unsigned long t_bezczynnosci = 15000; // czas bezczynności (miga żółte dla pojazdów)
//                                      // czas ustawiony na 15 sekund
//unsigned long t_min_pojazdy = 10000; // minimalny czas sygnału zielonego dla pojazdów (10 sekund)
//unsigned long t_max_pojazdy = 30000; // maksymalny czas sygnału zielonego dla pojazdów (30 sekund)                                  

void setup()
{
// usatwienie wyjść (diody) i wejścia (transoptor)
  pinMode(R, OUTPUT);
  pinMode(Y, OUTPUT);
  pinMode(G, OUTPUT);
  pinMode(RR, OUTPUT);
  pinMode(GG, OUTPUT);
// pinMode(B, OUTPUT);
//  pinMode(T, INPUT);
}
void loop()
{
    pojazdy();
    delay(2000); //zielone dla pojazdów
    piesi();
    delay(2000); // zielone dla pieszych
}

// procedura kończąca stan sygnalizacji zezwalający na ruch pieszych
// i rozpoczynajaca stan sygnalizacji zezwalający na ruch pojazdów
void pojazdy()
{
  // zielone dla pieszych miga 5 razy w odstępach 0,8 sekundy 
  for(int i = 1; i<6; i++) 
  {
    digitalWrite(GG, HIGH);
    delay(800);
    digitalWrite(GG, LOW);
    delay(800);
  }
  digitalWrite(RR, HIGH); //czerwone dla pieszych
  delay(800); // po czasie 0,8 sekundy 
  digitalWrite(Y, HIGH); //żółte dla pojazdów
  delay(800); // po 0,8 sekundy
  digitalWrite(R, LOW); // wygaszone czerwone dla pojazdów
  digitalWrite(Y, LOW); // wygaszone żółte dla pojazdów
  digitalWrite(G, HIGH); // zielone dla pojazdów
 }

// procedura kończąca stan sygnalizacji zezwalający na ruch pojazdów
// i rozpoczynająca stan sygnalizacji zezwalający na ruch pieszych
 void piesi(){
  digitalWrite(G, LOW);
  digitalWrite(Y,HIGH);
  delay(800);
  digitalWrite(Y, LOW);
  digitalWrite(R, HIGH);
  delay(800);
  digitalWrite(RR,LOW);
  digitalWrite(GG,HIGH);
}
